function reinit_filtre(obj,event)
% reinit_filtre Re-initialization of the filter parameters
% ================================================
global input_error;

data=guidata(1);
for i=1:length(data.Filtre.nomparamS)
    var=data.Filtre.nomparamS{i};
    if i==1
        data.(var)=eval(data.Filtre.valparamS{i});
    else
        data.(var)=data.Filtre.valparamS{i};
    end
    tag=[var,'_tag'];
    if isfield(data, tag)
        style=get(data.(tag),'style');
        if strcmpi(style, 'listbox')
            set(data.(tag),'value', data.(var),'backgroundcolor','w');
        else
            set(data.(tag),'string',eval(['data.',var]),'backgroundcolor','w')
        end % fin strcmpi(style, 'listbox')
    end % fin isfield
    
    % oter l'indication d'eventuelles erreurs précédentes sur le champ
    if ~isempty(input_error) && isfield(input_error, tag)
        input_error= rmfield(input_error, tag);
    end
end

handles=guihandles(1);
ndata=catstruct(data,handles);
guidata(1,ndata)
end % fin reinit_filtre
